Уязвимость BDU:2020-01257

Дата: 15.03.2020. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-01257.

Наименование уязвимости: Уязвимость пакета Pulverizr пакетного менеджера NPM, позволяющая нарушителю выполнять произвольные команды.

Описание уязвимости: Уязвимость пакета Pulverizr пакетного менеджера NPM существует из-за непринятия мер по нейтрализации специальных элементов. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, выполнять произвольные команды в целевой системе посредством создания файла с вредоносным содержимым и именем lib/job. js
Уязвимое ПО: Прикладное ПО информационных систем Node.js Foundation Pulverizr — |

Наименование ОС и тип аппаратной платформы:
Дата выявления: 15.03.2020.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению:
Ограничить использование программного средства
.
Статус уязвимости: Подтверждена в ходе исследований
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Информация об устранении отсутствует
Идентификаторы других систем описаний уязвимости: CVE-2020-7604.

Тип ошибки CWE: CWE-74
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://snyk.io/vuln/SNYK-JS-PULVERIZR-560122
https://github.com/bentruyman/pulverizr/blob/master/lib/job.js#L73
https://www.cybersecurity-help.cz/vdb/SB2020031911

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *